DeleteEip

1. API Description

This API (DeleteEip) is used to delete an elastic IP.

circle-info

Note

  • Before deleting an elastic IP, you must unbind it first.

  • For regular accounts, once an elastic IP is deleted, the resource is immediately reclaimed. This action is irreversible. Proceed with caution.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipId

Yes

String

ID of elastic IP.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Delete an elastic IP.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteEip


Request:
{
  "eipId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_EIP_IS_NOT_UN_ASSIGN

Elastic IP is not in unassigned state.

Last updated